libmtp: mapping The file mapping API

- Main Page
- Modules
- Data Structures
- Files
- Directories
- Examples

# mapping The file mapping API

## Functions
int | LIBMTP_Register_Filetype (char const *const, LIBMTP_filetype_t const, uint16_t const, void const *const, void const *const, void const *const)
int | LIBMTP_Set_Filetype_Description (LIBMTP_filetype_t, char const *const)
int | LIBMTP_Set_Constructor (LIBMTP_filetype_t, void const *const)
int | LIBMTP_Set_Destructor (LIBMTP_filetype_t, void const *const)
int | LIBMTP_Set_Datafunc (LIBMTP_filetype_t, void const *const)

## Function Documentation

int LIBMTP_Register_Filetype | ( | char const *const | description,
|  | LIBMTP_filetype_t const | id,
|  | uint16_t const | ptp_id,
|  | void const *const | constructor,
|  | void const *const | destructor,
|  | void const *const | datafunc |
| ) |  |  |

Register an MTP or PTP filetype for data retrieval

Parameters:

  | description | Text description of filetype
  | id | libmtp internal filetype id
  | ptp_id | PTP filetype id
  | constructor | Pointer to function to create data structure for filetype
  | destructor | Pointer to function to destroy data structure for filetype
  | datafunc | Pointer to function to fill data structure

Returns:
  0 for success any other value means error.

int LIBMTP_Set_Constructor | ( | LIBMTP_filetype_t const | id,
|  | void const *const | constructor |
| ) |  |  |

Set the constructor for a MTP filetype

Parameters:

  | id | libmtp internal filetype id
  | constructor | Pointer to a constructor function

Returns:
  0 on success, any other value means failure

int LIBMTP_Set_Datafunc | ( | LIBMTP_filetype_t const | id,
|  | void const *const | datafunc |
| ) |  |  |

Set the datafunc for a MTP filetype

Parameters:

  | id | libmtp internal filetype id
  | datafunc | Pointer to a data function

Returns:
  0 on success, any other value means failure

int LIBMTP_Set_Destructor | ( | LIBMTP_filetype_t const | id,
|  | void const *const | destructor |
| ) |  |  |

Set the destructor for a MTP filetype

Parameters:

  | id | libmtp internal filetype id
  | destructor | Pointer to a destructor function

Returns:
  0 on success, any other value means failure

int LIBMTP_Set_Filetype_Description | ( | LIBMTP_filetype_t const | id,
|  | char const *const | description |
| ) |  |  |

Set the description for a MTP filetype

Parameters:

  | id | libmtp internal filetype id
  | description | Text description of filetype

Returns:
  0 on success, any other value means error.